@DATABASE SetPSM.guide

@$VER: SetPSM.guide 1.0 (30.1.2026)
@(C) Copyright (C) 2026, The AROS Development Team. All rights reserved.
@MASTER /ssd/deadwood/repo-github-dd-core-release/AROS/workbench/c/SetPSM.c

@NODE MAIN "SetPSM"

@{B}Name@{UB}

    SetPSM


@{B}Synopsis@{UB}

    SHANGHAI/S,POP=POPPUBSCREEN/S


@{B}Location@{UB}

    C:


@{B}Function@{UB}

    Sets the "Shanghai" and "PopPubScreen" flags in intition.library


@{B}Inputs@{UB}

    SHANGHAI   --  Force workbench windows to open on the default public screen.
    POP=POPPUBSCREEN  --  Pop the publicscreen to the front when a window opens on it.


@{B}Result@{UB}
    Returns 5 if SHANGHAI was previously set, and 10 if POPPUBSCREEN was set.


@{B}Example@{UB}

    SetPSM SHANGHAI


@{B}See also@{UB}

    intuition.library/SetPubScreenModes()


@TOC "HELP:English/Index.guide/MAIN"
@ENDNODE
